Browsing Protection still incompatible with firefox 10... when?

When will there be an update for Firefox 10 for incompatability?

 

Fsecure says my browsing protection is on..... Firefox has it disabled. Obviously FSecure can't figure it out that its disabled... and obviously I'm not protected.

 

Will this be released soon?

 

How will we know that it is fixed to reenable the add on?

Answers

  • I bet they're working their ass off at F-Secure, so an update should be available soon!

  • MJ-perCompMJ-perComp Posts: 1,098

    YES!

    FF10.0.2 is compatible with BP. if it does not work try disabling/reeanbling form F-Secure GUI

    BR

    Matthias

  • PetriPetri Posts: 38

    Hi,

     

    for the ISTP users we just published the release 54, which will bring this support + support for the Firefox 11 beta.

     

    Petri

  • I am always having a hard time using the latest Firefox especially when it updates automatically. I will just stick to having 3.6 version instead.image

This discussion has been closed.